/// <reference types="react" />
interface SwitchSelectorWrapperPropTypes {
    selectedIndex: number;
    optionsAmount: number;
    border: string | number;
    backgroundColor: string;
    selectedBackgroundColor: string;
    wrapperBorderRadius: number;
    optionBorderRadius: number;
}
export declare const SwitchSelectorWrapper: import("@emotion/styled-base").StyledComponent<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, SwitchSelectorWrapperPropTypes, object>;
declare type OptionItemPropsTypes = {
    optionsAmount: number;
    optionBorderRadius: number;
};
export declare const OptionItem: import("@emotion/styled-base").StyledComponent<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, OptionItemPropsTypes, object>;
declare type OptionItemLabelPropsTypes = {
    selected: boolean;
    fontSize: number;
    fontColor: string;
    selectedFontColor: string;
};
export declare const OptionItemLabel: import("@emotion/styled-base").StyledComponent<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, OptionItemLabelPropsTypes, object>;
export {};
