/// <reference types="react" />
declare type OptionType = {
    label: string;
    value: any;
    selectedBackgroundColor?: string;
    fontColor?: string;
    selectedFontColor?: string;
};
declare type PropsTypes = {
    onChange: Function;
    options: Array<OptionType>;
    initialSelectedIndex?: number;
    inputName?: string;
    border?: string | number;
    backgroundColor?: string;
    selectedBackgroundColor?: string;
    wrapperBorderRadius?: number;
    optionBorderRadius?: number;
    fontSize?: number;
    fontColor?: string;
    selectedFontColor?: string;
};
declare const SwitchSelector: (props: PropsTypes) => JSX.Element | null;
export default SwitchSelector;
